/*
    AllegroBobble - An implementation of the classic game using the Allegro
    library (version 4) and the Allegro Wrapper
    Copyright (C) 2013, Alessandro Francesco De Rosis

    This program is free software: you can redistribute it and/or modify
    it under the terms of the GNU General Public License as published by
    the Free Software Foundation, either version 3 of the License, or
    (at your option) any later version.

    This program is distributed in the hope that it will be useful,
    but WITHOUT ANY WARRANTY; without even the implied warranty of
    MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
    GNU General Public License for more details.

    You should have received a copy of the GNU General Public License
    along with this program.  If not, see <http://www.gnu.org/licenses/>.
*/

# include "viewIndicator.h"


ViewIndicator::ViewIndicator(): CompositeSprite(640,480)
{
   redLine.push_back(new Line(Point(240,480),Point(240,430),Color(255,0,0)));
   redLine.push_back(new Line(Point(241,480),Point(241,430),Color(255,0,0))); 
   redLine.push_back(new Line(Point(242,480),Point(242,430),Color(255,0,0)));
   redLine.push_back(new Line(Point(243,480),Point(243,430),Color(255,0,0))); 
   for(unsigned i=0;i!=redLine.size();i++)
      add(DrawablePointer(*redLine[i]));
}

ViewIndicator::~ViewIndicator()
{
   for(vector<Line*>::iterator i=redLine.begin();i!=redLine.end();i++)
      delete *i;
}
void ViewIndicator::onMouseMove(const Mouse& mouse) 
{

       if(mouse.getX()>345  )
       {
          for(unsigned i=0;i!=redLine.size();i++)
            redLine[i]->setPoint2(Point(345+i,430));
          return ;
       }
       else if(mouse.getX()>135)
       {
         for(unsigned i=0;i!=redLine.size();i++)
            redLine[i]->setPoint2(Point(mouse.getX()+i,430));
         return;
       }
       if(mouse.getX()<135 ) 
       {
          for(unsigned i=0;i!=redLine.size();i++)
             redLine[i]->setPoint2(Point(135+i,430)); 
          return ;
       }
       else
          for(unsigned i=0;i!=redLine.size();i++)
            redLine[i]->setPoint2(Point(mouse.getX()+i,430));
}

