/*
    AllegroBobble - An implementation of the classic game using the Allegro
    library (version 4) and the Allegro Wrapper
    Copyright (C) 2013, Alessandro Francesco De Rosis

    This program is free software: you can redistribute it and/or modify
    it under the terms of the GNU General Public License as published by
    the Free Software Foundation, either version 3 of the License, or
    (at your option) any later version.

    This program is distributed in the hope that it will be useful,
    but WITHOUT ANY WARRANTY; without even the implied warranty of
    MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
    GNU General Public License for more details.

    You should have received a copy of the GNU General Public License
    along with this program.  If not, see <http://www.gnu.org/licenses/>.
*/

#ifndef VIEWINDICATOR_H
#define VIEWINDICATOR_H

#include "Allegro.h"
#include "Line.h"
#include <vector>
#include "CompositeSprite.h"
class ViewIndicator :  public CompositeSprite
{
     public:
        ViewIndicator();
        virtual ~ViewIndicator();

        int get2X() const {return redLine[0]->getPoint2().getX();}
        int get2Y() const {return redLine[0]->getPoint2().getY();}
        int get1X() const {return redLine[0]->getPoint1().getX();}
        int get1Y() const {return redLine[0]->getPoint1().getY();}
         
        virtual Drawable* clone() const { return new ViewIndicator(*this); }
        virtual void onMouseMove(const Mouse& mouse);
     private:
        vector<Line*> redLine;
        
        
};


#endif
